Name:          fvkbd
Version:       0.1.6
Release:       4%{?dist}
Summary:       Free Virtual Keyboard

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://www.moblin.org/
Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch0:        fvkbd-fixdesktop.patch
Patch1:        workarea.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-devel
BuildRequires: gtk2-devel
BuildRequires: libfakekey-devel
BuildRequires: libxml2-devel
BuildRequires: libXtst-devel
BuildRequires: unique-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
A free virtual keyboard for use in Moblin Internet Devices from Phones to MIDs.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .fixdesktop
%patch1 -p1 -b .workarea

# run autogen.sh until we have a proper release, but don't run configure twice.
sed -i '/configure/d' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtkdoc
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}/%{_datadir}/applications/fvkbd-gtk.desktop

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/fvkbd-gtk
%{_libdir}/libfvkbd-0.1.so.*
%{_libdir}/libfvkbd-gtk-0.1.so.*
%{_datadir}/applications/fvkbd-gtk.desktop
%{_datadir}/pixmaps/fvkbd-gtk.png
%{_datadir}/fvkbd/

%files devel
%defattr(-,root,root,-)
%{_libdir}/libfvkbd-0.1.so
%{_libdir}/libfvkbd-gtk-0.1.so

%changelog
* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.6-4
- Add patch to fix crash on x86_64 platforms

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-3
- Rebuild

* Sun Nov 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-2
- Package review updates

* Sun Nov  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-1
- Initial packaging
